POST api/NTOrderMedication/UpdateMedicationNDCCode
Request Information
URI Parameters
None.
Body Parameters
MedicationNDCDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| MedicationTypeId | integer |
None. |
|
| MedicationDoseId | integer |
None. |
|
| NDCCode | string |
String length: inclusive between 0 and 20 |
|
| StartDate | date |
None. |
|
| EndDate | date |
None. |
|
| MedicationName | string |
String length: inclusive between 0 and 8000 |
|
| MedicationDoseName | string |
String length: inclusive between 0 and 8000 |
|
| Todaydate | date |
None. |
|
| Status | integer |
None. |
|
| IsFutureRecord | boolean |
None. |
|
| multiNdcCodeList | Collection of MedicationNDCDTO |
None. |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"MedicationTypeId": 2,
"MedicationDoseId": 1,
"NDCCode": "sample string 3",
"StartDate": "2026-08-04T14:25:56.4030512-07:00",
"EndDate": "2026-08-04T14:25:56.4030512-07:00",
"MedicationName": "sample string 4",
"MedicationDoseName": "sample string 5",
"Todaydate": "2026-08-04T14:25:56.4030512-07:00",
"Status": 6,
"IsFutureRecord": true,
"multiNdcCodeList": [],
"ValidFlag": true,
"DateCreated": "2026-08-04T14:25:56.4030512-07:00",
"DateUpdated": "2026-08-04T14:25:56.4030512-07:00",
"UserIDCreated": 11,
"UserIDUpdated": 12
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfMedicationNDCDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | MedicationNDCDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"MedicationTypeId": 2,
"MedicationDoseId": 1,
"NDCCode": "sample string 3",
"StartDate": "2026-08-04T14:25:56.4030512-07:00",
"EndDate": "2026-08-04T14:25:56.4030512-07:00",
"MedicationName": "sample string 4",
"MedicationDoseName": "sample string 5",
"Todaydate": "2026-08-04T14:25:56.4030512-07:00",
"Status": 6,
"IsFutureRecord": true,
"multiNdcCodeList": [],
"ValidFlag": true,
"DateCreated": "2026-08-04T14:25:56.4030512-07:00",
"DateUpdated": "2026-08-04T14:25:56.4030512-07:00",
"UserIDCreated": 11,
"UserIDUpdated": 12
},
"totalCount": 3
}